<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Notices
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

$s = "";

// estilo de hover para o link 
if($item->show_link){
    foreach ($item->links as $key => $link) {
        $s .=
        ".{$module->name} .{$module->name}-item-link.button-{$key}:hover{
            {$link->button_style_hover}
        }";
    }
}

if($displayCounter){
    $s .= 
    ".{$module->name} .{$module->name}-counter-item{
        {$counterStyle}
    }
    .{$module->name} .{$module->name}-counter-item__number{
        {$counterStyleNumber}
    }
    .{$module->name} .{$module->name}-counter-item__text{
        {$counterTextsColor}
    }";
}

// Resolucao mobile
$s .=
    "@media screen and (max-width: 767px){
        .{$module->name}{
           {$sectionStyleMobile}
        }
        .{$module->name} .{$module->name}-main-content{
           {$itemStyleMobile}
        }
        .{$module->name} .{$module->name}-item__title{
            {$itemsTitleStyleMobile}
        }
        .{$module->name} .{$module->name}-item__content{
            {$itemsContentStyleMobile}
        }
        .{$module->name} .{$module->name}-texts{
            {$textAlignStyleMobile}
        }
        ";
       
        if($item->show_link){
            $i = 0;
            foreach ($item->links as $key => $link) {
                $i++;

                $s .= ".{$module->name} .{$module->name}-links .button-link{$i}{
                    {$link->button_style_mobile}
                    {$buttonAndCuponPositionMobile}
                }";
            }
        }

        if($displayCounter){
            $s .= ".{$module->name} .{$module->name}-counter-item{
                {$counterStyleMobile}
            }";
        }

        if($displayCoupon){
            if(isset($buttonAndCuponPositionMobile)){
                $s .= ".{$module->name} .{$module->name}-coupon{
                    {$buttonAndCuponPositionMobile}
                }";
            }

            $s .= ".{$module->name} .{$module->name}-coupon div{
                {$discountCouponStyleMobile}
            }";
        }
        if($displayImage){
            $s .= ".{$module->name} .{$module->name}-image-wrapper{
                {$imageStyleMobile}
            }";
        }

        if((isset($imageParams)) && ($imageParams->image_mobile_position == 'bottom')){
            $s .= ".{$module->name} .{$module->name}-image-wrapper{
                order: 1;
            }";
        }

$s .= "}"; // Fecha media screen do mobile


// Resolucao desktop
$s .= "@media only screen and (min-width: 768px) {";
    // Setado para exibir cupom de desconto ao lado direito do conteudo
    if ( isset($discountCouponCustomization) && ($discountCouponCustomization->discount_coupon_position == 'right_content') ){
        $s .= ".{$module->name} .{$module->name}-main-content{
            flex-flow: inherit;
        }";
    }
    // Alinhamento cupom
    if($displayCoupon && !empty($buttonAndCuponPosition)){
        $s .= ".{$module->name} .{$module->name}-coupon{
            {$buttonAndCuponPosition}
        }";
    }

$s .= "}"; // Fecha media screen do desktop

// chama função que adiciona prefixo em todo o estilo que foi concatenado na variável $s 
$assetsObject->addStyleWithPrefix($s); 

?>
