<?php
/**
 * @package			No Boss Extensions
 * @subpackage  	No Boss Notices
 * @author			No Boss Technology <contact@nobosstechnology.com>
 * @copyright		Copyright (C) 2020 No Boss Technology. All rights reserved.
 * @license			GNU Lesser General Public License version 3 or later; see <https://www.gnu.org/licenses/lgpl-3.0.en.html>
 */

defined('_JEXEC') or die;

$count = 0;
?>

<section class='nb-hidden <?php echo "{$module->name} {$module->name}--{$theme} {$sectionClasses}"; ?> <?php echo !$externalArea->content_display_mode ? 'nb-full-width' : ''?>' <?php echo "module-id={$module->name}_{$module->id}"; ?> style="<?php echo $sectionStyle; ?>">
    <?php if(isset($itemsCustomization->show_close_button) && $itemsCustomization->show_close_button){?>
        <span class="<?php echo $module->name; ?>-close-button" data-button="close" style="<?php echo $closeButtonColor; ?>">X</span>
    <?php } ?>
    <div class="<?php echo $module->name; ?>-container <?php echo $externalArea->content_display_mode ? 'nb-container' : ''; ?>">
        <div class="<?php echo $module->name; ?>-wrapper <?php echo $externalArea->content_display_mode ? $itemColumns : ''; ?>">
        <?php
        // Defina imagem
        if(($displayImage && isset($imageParams))){
            ?>
            <div class="<?php echo $module->name;?>-image-wrapper" style="<?php echo $imageStyle;?>">
                <div class="<?php echo $module->name;?>-image-inner" style="<?php echo $imageWidth;?>">
                    <div class="<?php echo $module->name;?>-image" style="<?php echo $imageParams->image; ?>">
                    </div>
                </div>
            </div>
        <?php
        }
        ?>  

        <div class="<?php echo $module->name;?>-main-content <?php echo ($item->show_link && isset($item->buttons_below_text) && $item->buttons_below_text) ? $module->name.'-main-content--column' : ''; ?>" style="<?php echo $itemStyle; ?>">
            <?php
            // Conteudo de titulo e/ou texto de apoio definidos
            if(!empty($item->title) || !empty($item->content)){
            ?>
                <div class="<?php echo $module->name;?>-texts <?php echo $module->name;?>-texts--<?php echo $itemsCustomization->texts_alignment;?>">
                    <?php
                    // Definido o titulo
                    if(!empty($item->title)){?>
                        <div class="<?php echo $module->name;?>-title-wrapper">
                            <?php echo "<{$itemsTitleTagHtml} class='{$module->name}-item__title' style='{$itemsTitleStyle}'>{$item->title}</{$itemsTitleTagHtml}>"; ?>
                        </div>
                    <?php
                    }
                    
                    // Definido texto de apoio
                    if(!empty($item->content)){?>
                        <div <?php echo "class='{$module->name}-item__content' style='{$itemsContentStyle}'"?>>
                            <div class="<?php echo $module->name;?>-content-wrapper">
                                <?php echo $item->content; ?>
                            </div>
                        </div>
                    <?php
                    }?>
                </div>

                <?php 
                // Cupom de desconto setado para ser exibido
                if($displayCoupon && isset($discountCouponParams)){
                    require JModuleHelper::getLayoutPath($extensionName, 'common/discount_coupon');
                }
            }
           
            if(!($item->show_link && isset($item->buttons_below_text) && $item->buttons_below_text)){
            ?>
                </div>
            <?php
            }
            
            // Setado exibicao de botoes
            if ($item->show_link){
                $count = 0;
                $links =  count((array) $item->links);
                echo "<div class='{$module->name}-links links-{$links}'>";
                    foreach ($item->links as $key => $link) {
                        $count++;
                        echo "<a class='{$module->name}-item-link button-link{$count}' href='{$link->link_url}' title='{$link->link_title}' target='{$link->link_target}' style='{$link->button_style}'>";
                        echo !empty(rtrim($link->link_text)) ? $link->link_text : JText::_("NOBOSS_EXTENSIONS_LINKS_TEXT");
                        echo "</a>";
                    } 
                echo "</div>";
            } 
            
            if($item->show_link && isset($item->buttons_below_text) && $item->buttons_below_text){
            ?>
                </div>
            <?php
            }

        // Definido contador
        if(($displayCounter && isset($counterParams) && isset($counterFinalDate))){
        ?>
            <div class="<?php echo $module->name;?>-counter" data-counter="counter">
                <div class="<?php echo $module->name;?>-counter-item">
                    <div class="<?php echo $module->name;?>-counter-item__number">
                        <span class="<?php echo $module->name;?>-counter-item__number--text" data-counter="days"></span>
                    </div>
                    <span class="<?php echo $module->name;?>-counter-item__text"><?php echo JText::_("MOD_NOBOSSNOTICES_DAYS"); ?></span>
                </div>
                <div class="<?php echo $module->name;?>-counter-item">
                    <div class="<?php echo $module->name;?>-counter-item__number">
                        <span class="<?php echo $module->name;?>-counter-item__number--text" data-counter="hours"></span>
                    </div>
                    <span class="<?php echo $module->name;?>-counter-item__text"><?php echo JText::_("MOD_NOBOSSNOTICES_HOURS"); ?></span>
                </div>
                <div class="<?php echo $module->name;?>-counter-item">
                    <div class="<?php echo $module->name;?>-counter-item__number">
                        <span class="<?php echo $module->name;?>-counter-item__number--text" data-counter="minutes"></span>
                    </div>
                    <span class="<?php echo $module->name;?>-counter-item__text"> <?php echo JText::_("MOD_NOBOSSNOTICES_MINUTES"); ?></span>
                </div>
                <div class="<?php echo $module->name;?>-counter-item">
                    <div class="<?php echo $module->name;?>-counter-item__number">
                        <span class="<?php echo $module->name;?>-counter-item__number--text" data-counter="seconds"></span>
                    </div>
                    <span class="<?php echo $module->name;?>-counter-item__text"><?php echo JText::_("MOD_NOBOSSNOTICES_SECONDS"); ?></span>
                </div>
            </div>
        <?php
        }
        ?>

    </div>
</section>

<?php 

$timezone = new DateTimeZone(JFactory::getConfig()->get('offset'));

$cookieExpiration = -1;

// Definido intervalo entre exibicoes das notificacoes
if($ruleDisplay != 'always'){
    $cookieExpiration = $displayInterval;
}
?>
    
<script>
    if(typeof nobossnoticesitems === 'undefined'){
        var nobossnoticesitems = {};
    }
    nobossnoticesitems["<?php echo $module->name ."_". $module->id; ?>"] = {};
    nobossnoticesitems["<?php echo $module->name ."_". $module->id; ?>"].cookieExpiration = "<?php echo $cookieExpiration; ?>";
    nobossnoticesitems["<?php echo $module->name ."_". $module->id; ?>"].timeZone = "<?php echo JFactory::getConfig()->get('offset'); ?>";
    nobossnoticesitems["<?php echo $module->name ."_". $module->id; ?>"].ruleDisplay = "<?php echo isset($ruleDisplay) ? $ruleDisplay : 'time_interval'; ?>";
</script>

<?php if(isset($counterFinalDate) && !empty($counterFinalDate)){ 
    $counterFinalDate = (new DateTime($counterFinalDate))->format('c');
?>
    <script>
        nobossnoticesitems["<?php echo $module->name ."_". $module->id; ?>"].counterFinalDate = "<?php echo $counterFinalDate; ?>";
    </script>
<?php } ?>
